Better ListView Class Reference |

# DictionaryBase(TKey,TValue) Properties

The properties of the DictionaryBase(TKey,TValue) class are listed below. For a complete list of DictionaryBase(TKey,TValue) class members, see the DictionaryBase(TKey,TValue) Members topic.

#### Public Instance Properties

Count | Gets the number of elements contained in the ICollection`1.
IsReadOnly | Gets a value indicating whether the ICollection`1 is read-only.
IsSynchronized | Gets a value indicating whether access to the ICollection is synchronized (thread safe).
Item | Gets or sets the element with the specified key.
Keys | Gets an ICollection`1 containing the keys of the IDictionary`2.
SyncRoot | Gets an object that can be used to synchronize access to the ICollection.
Values | Gets an ICollection`1 containing the values in the IDictionary`2.

#### Protected Instance Properties

InnerDictionary | Underlying dictionary.

#### See Also

DictionaryBase<TKey, TValue> Class | ComponentOwl.BetterListView Namespace